Use the property description endpoint to create, update, retrieve or delete description or useful information about the property. You can send information about the property and about the destination where the property resides.
We encourage you to provide detailed information about your property, destination, and anything you want to communicate to travelers. Please note that Booking.com will not publish this information exactly as written. Instead, we may use it to enhance your property description on our website and to power AI features such as answering guest questions.
Note that Booking.com may use the information:
- to add or update the property description on the Booking.com website.
- to answer questions from guests about the property.
We may, in some cases, not use any of the information sent. Updates and deletes may take a minimum of 3 hours to take effect.
PUT
https://supply-xml.booking.com/property-api/properties/{propertyId}/description Use the PUT method to add or update the property description.
The following table describes the elements you can add in the path:
| Value | Description | Type | Required/ Optional | Notes |
|---|---|---|---|---|
{property ID} | Specify the unique ID of the property | integer | Required |
The following table describes the elements you must add in the request body:
| Parameter | Description | Type | Required/Optional | Notes |
|---|---|---|---|---|
text | Contains text for property description | string | required | Accepts a maximum of 65,535 characters. |
language_code | Language code for the text | string | optional | Length is from 2 to 5. Can be en or en_us |
The following is a request body example to create or update an existing property description:
{
"text" : "Some text",
"language_code": "en"
}A successful response will return HTTP 204 status code.
GET
https://supply-xml.booking.com/property-api/properties/{propertyId}/description Use the GET method to retrieve the property description.
The following table describes the elements you can add in the path:
| Value | Description | Type | Required/ Optional | Notes |
|---|---|---|---|---|
{property ID} | Specify the unique ID of the property | integer | Required |
The following is a response body example when retrieving an existing property description:
{
"data": {
"text" : "Some text",
"language_code": "en",
"last_update": "2020-04-24T15:30:00+00:00"
},
"warnings": [],
"errors": [],
"meta": {
"ruid": "..."
}
}DELETE
https://supply-xml.booking.com/property-api/properties/{propertyId}/description The following table describes the elements you can add in the path:
| Value | Description | Type | Required/ Optional | Notes |
|---|---|---|---|---|
{property ID} | Specify the unique ID of the property | integer | Required |
A successful response returns a HTTP 204 status code.
GET and DELETE requests may return a HTTP 404 error code if the property does not exist or does not have an existing description.